# SetActionV1
`toloka.client.project.template_builder.actions.SetActionV1` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/actions.py#L146)

```python
SetActionV1(
    self,
    data: Optional[BaseComponent] = None,
    payload: Optional[Any] = None,
    *,
    version: Optional[str] = '1.0.0'
)
```

Sets the value from payload in the data in the data property.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`data`|**Optional\[[BaseComponent](toloka.client.project.template_builder.base.BaseComponent.md)\]**|<p>Data with values that will be processed or changed.</p>
`payload`|**Optional\[Any\]**|<p>The value to write to the data.</p>
